//
// Created by nicol on 2018-03-18.
//

#ifndef ESC_THREAD_H
#define ESC_THREAD_H

typedef void* (*thread_start_t)(void*);
typedef void* thread_arg_t;
typedef struct st_thread* thread_t;

thread_t thread_create(thread_start_t thread_start, thread_arg_t thread_arg);
int thread_start(thread_t thread);
int thread_wait(thread_t thread);
int thread_destroy(thread_t thread);
int thread_error(thread_t thread);
int thread_result(thread_t thread, void** result);

#endif //ESC_THREAD_H
