//
// Created by nicol on 2018-03-18.
//

#ifndef ESC_UUID_H
#define ESC_UUID_H

#include <stdint.h>

typedef struct st_uuid* esc_uuid_t;

esc_uuid_t esc_uuid_create();
void esc_uuid_destroy(esc_uuid_t uuid);
esc_uuid_t esc_uuid_from(const uint8_t* src, size_t size);
esc_uuid_t esc_uuid_copy(esc_uuid_t other);
int esc_uuid_compare(esc_uuid_t left, esc_uuid_t right);
const char* esc_uuid_format(esc_uuid_t uuid, char* buffer, size_t len);

#endif //ESC_UUID_H
