//
// Created by nicol on 2018-03-18.
//

#ifndef ESC_BUFFER_H
#define ESC_BUFFER_H

#include <stdint.h>
#include <stddef.h>

typedef struct st_buffer* buffer_t;

buffer_t buffer_create(size_t size);
void buffer_destroy(buffer_t buffer);
buffer_t buffer_from(const uint8_t* data, size_t size);
buffer_t buffer_copyfrom(const uint8_t* data, size_t size);
size_t buffer_size(buffer_t buffer);
uint8_t* buffer_data(buffer_t buffer);

#endif //ESC_BUFFER_H
