//
// Created by nicol on 2018-03-18.
//

#ifndef ESC_SOCKET_H
#define ESC_SOCKET_H

struct st_socket;
typedef struct st_socket* socket_t;

enum {
    SOCKET_TYPE_TCP = 1,
    SOCKET_TYPE_UDP = 2
};

socket_t socket_create(int type);
void socket_destroy(socket_t s);
int socket_close(socket_t s);
int socket_connect(socket_t s, char* addr, unsigned short port);
ssize_t socket_send(socket_t s, char* data, size_t len);
ssize_t socket_recv(socket_t s, char* buf, size_t len);
int socket_writable(socket_t s);
int socket_readable(socket_t s);
int socket_error(socket_t s);

#endif //ESC_SOCKET_H
